Package org.eclipse.core.runtime.preferences

## Class ConfigurationScope

- java.lang.Object
- - org.eclipse.core.internal.preferences.AbstractScope
  - - org.eclipse.core.runtime.preferences.ConfigurationScope

All Implemented Interfaces:
  `IScopeContext`

    public final class ConfigurationScope
    extends org.eclipse.core.internal.preferences.AbstractScope

Object representing the configuration scope in the Eclipse preferences hierarchy. Can be used as a context for searching for preference values (in the IPreferencesService APIs) or for determining the correct preference node to set values in the store.

Configuration preferences are stored on a per configuration basis in the platform's configuration area. (The configuration area typically contains the list of plug-ins available for use, various settings (those shared across different instances of the same configuration) and any other such data needed by plug-ins.)

The path for preferences defined in the configuration scope hierarchy is as follows: `/configuration/<qualifier>`

This class is not intended to be subclassed. This class may be instantiated.

Since:
  3.0
See Also:
  `Location.CONFIGURATION_FILTER`

### Field Summary

Fields
`static IScopeContext` `INSTANCE` Singleton instance of a Configuration Scope object.
`static String` `SCOPE` String constant (value of `"configuration"`) used for the scope name for the configuration preference scope.

### Constructor Summary

Constructors
`ConfigurationScope()` Deprecated. use `ConfigurationScope.INSTANCE` instead

### Method Summary

All Methods Instance Methods Concrete Methods
`IPath` `getLocation()` Return a path to a location in the file-system where clients are able to write files that will have the same sharing/scope properties as preferences defined in this scope.
`String` `getName()` Return the name of the scope that this context is associated with.
`IEclipsePreferences` `getNode​(String qualifier)` Return the preferences node that contains the preferences for the given qualifier or `null` if the node cannot be determined.

### Methods inherited from class org.eclipse.core.internal.preferences.AbstractScope

`equals, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SCOPE

    public static final String SCOPE

String constant (value of `"configuration"`) used for the scope name for the configuration preference scope.

See Also:
  Constant Field Values

#### INSTANCE

    public static final IScopeContext INSTANCE

Singleton instance of a Configuration Scope object. Typical usage is: `ConfigurationScope.INSTANCE.getNode(...);`

Since:
  3.4

### Constructor Detail

#### ConfigurationScope

    public ConfigurationScope()

Deprecated.
use `ConfigurationScope.INSTANCE` instead
Create and return a new configuration scope instance.

### Method Detail

#### getName

    public String getName()

Description copied from interface: `IScopeContext`
Return the name of the scope that this context is associated with. Must not be `null`.

Specified by:
  `getName` in interface `IScopeContext`
Specified by:
  `getName` in class `org.eclipse.core.internal.preferences.AbstractScope`
Returns:
  the name of the scope

#### getNode

    public IEclipsePreferences getNode​(String qualifier)

Description copied from interface: `IScopeContext`
Return the preferences node that contains the preferences for the given qualifier or `null` if the node cannot be determined. The given qualifier must not be `null` but may be a path to a sub-node within the scope.

An example of a qualifier in Eclipse 2.1 would be the plug-in identifier that the preference is associated with (e.g. the "org.eclipse.core.resources" plug-in defines the "description.autobuild" preference).

This method can be used to determine the appropriate preferences node to aid in setting key/value pairs. For instance: `new InstanceScope().getNode("org.eclipse.core.resources");` returns the preference node in the instance scope where the preferences for "org.eclipse.core.resources" are stored.

Specified by:
  `getNode` in interface `IScopeContext`
Overrides:
  `getNode` in class `org.eclipse.core.internal.preferences.AbstractScope`
Parameters:
  `qualifier` - a qualifier for the preference name
Returns:
  the node containing the plug-in preferences or `null`
See Also:
  `IPreferencesService`

#### getLocation

    public IPath getLocation()

Description copied from interface: `IScopeContext`
Return a path to a location in the file-system where clients are able to write files that will have the same sharing/scope properties as preferences defined in this scope.

Implementors may return `null` if the location is not known, is unavailable, or is not applicable to this scope.

Specified by:
  `getLocation` in interface `IScopeContext`
Specified by:
  `getLocation` in class `org.eclipse.core.internal.preferences.AbstractScope`
Returns:
  a writable location in the file system or `null`